CUPTI (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.43. CUpti_ActivityObjectKindId Union Reference

## [CUPTI Activity API]

See also:

CUpti_ActivityObjectKind

### Public Variables

CUpti_ActivityObjectKindId::@1 dcs
CUpti_ActivityObjectKindId::@0 pt

### Variables

CUpti_ActivityObjectKindId::@1 CUpti_ActivityObjectKindId::dcs [inherited]

  A device object requires that we identify the device ID. A context object requires that we identify both the device and context ID. A stream object requires that we identify device, context, and stream ID.

CUpti_ActivityObjectKindId::@0 CUpti_ActivityObjectKindId::pt [inherited]

  A process object requires that we identify the process ID. A thread object requires that we identify both the process and thread ID.